## org.exist.xquery.util
Class ExpressionDumper

    java.lang.Object
      org.exist.xquery.util.ExpressionDumper

public class ExpressionDumper
extends java.lang.Object

Author:
  wolf

Field Summary
`static int` `DEFAULT_INDENT_AMOUNT`

Constructor Summary
`ExpressionDumper(java.io.Writer writer)`
`ExpressionDumper(java.io.Writer writer, int indentAmount)`
`ExpressionDumper(java.io.Writer writer, int indentAmount, int verbosity)`

Method Summary
`ExpressionDumper` `display(char ch)`
`ExpressionDumper` `display(java.lang.Object object)`
`ExpressionDumper` `display(java.lang.String s)`
`ExpressionDumper` `display(java.lang.String s, XQueryAST ast)`
`static java.lang.String` `dump(Expression expr)`
`ExpressionDumper` `endIndent()`
`ExpressionDumper` `nl()`
`ExpressionDumper` `startIndent()`
`int` `verbosity()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INDENT_AMOUNT

    public static final int DEFAULT_INDENT_AMOUNT

See Also:
  Constant Field Values

Constructor Detail

### ExpressionDumper

    public ExpressionDumper(java.io.Writer writer)

### ExpressionDumper

    public ExpressionDumper(java.io.Writer writer,
                            int indentAmount)

### ExpressionDumper

    public ExpressionDumper(java.io.Writer writer,
                            int indentAmount,
                            int verbosity)

Method Detail

### dump

    public static java.lang.String dump(Expression expr)

### verbosity

    public int verbosity()

### display

    public ExpressionDumper display(java.lang.Object object)

### display

    public ExpressionDumper display(java.lang.String s)

### display

    public ExpressionDumper display(java.lang.String s,
                                    XQueryAST ast)

### display

    public ExpressionDumper display(char ch)

### startIndent

    public ExpressionDumper startIndent()

### endIndent

    public ExpressionDumper endIndent()

### nl

    public ExpressionDumper nl()

Copyright (C) Wolfgang Meier. All rights reserved.